name = 'tcgina-lite'

buildflags = {
	'dll',
	'no-import-lib',
	'optimize-size',
	'static-runtime',
	'unicode'
}

defines = {
	'IMPLEMENT_TC_SYS_INTERFACE',
	'KFI_DECRYPTION_ONLY',
	'NO_PASSWORD_CONFIRMATION_DIALOG',
}
if target == 'vs2005' then
	table.insert(defines, '_CRT_SECURE_NO_DEPRECATE')
	table.insert(defines, '_CRT_SECURE_NO_WARNINGS')
end

debug_defines = {
	'TC_DEBUG',
	'SEC_DEBUG'
}

links = {
	'version'
}

includepaths = { 
	'../common/dlg',
	'../common/kfi',
	'../common/misc',
	'../common/prj',
	'../common/tc',
}

dofile('../../tools/premake.lua')

package.files =
{
	matchfiles('*.?'),
	matchfiles('*.def'),
	matchfiles('*.rc'),
	matchfiles('../common/dlg/*.?'),
	matchfiles('../common/dlg/*.rc'),
	matchfiles('../common/misc/*.?'),
	matchfiles('../common/prj/*.?'),
	matchfiles('../common/tc/*.?')
}
